
From: Zachary Amsden <zach@vmware.com>

Attempt to fix the UML build by assuming the default i386 subarchitecture
(mach-default).

I can't fully test this because spinlock breakage is still happening in my
tree, but it gets rid of the mach_xxx.h missing file warnings.

Signed-off-by: Zachary Amsden <zach@vmware.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/um/Makefile-i386 |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN arch/um/Makefile-i386~i386-virtualization-fix-uml-build arch/um/Makefile-i386
--- 25-sparc64/arch/um/Makefile-i386~i386-virtualization-fix-uml-build	2005-09-07 03:32:38.000000000 -0700
+++ 25-sparc64-akpm/arch/um/Makefile-i386	2005-09-07 03:34:06.000000000 -0700
@@ -27,7 +27,9 @@ export LDFLAGS HOSTCFLAGS HOSTLDFLAGS UM
 endif
 endif
 
-CFLAGS += -U__$(SUBARCH)__ -U$(SUBARCH)
+CFLAGS += -U__$(SUBARCH)__ -U$(SUBARCH) \
+	  -Iinclude/asm-i386/mach-default \
+          $(if $(KBUILD_SRC),-Iinclude2/asm-i386/mach-default -I$(srctree)/include/asm-i386/mach-default)
 
 ifneq ($(CONFIG_GPROF),y)
 ARCH_CFLAGS += -DUM_FASTCALL
_
